## org.eclipse.datatools.connectivity.db.generic
Class JDBCConnection

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
          org.eclipse.datatools.connectivity.db.generic.JDBCConnection

    public class JDBCConnection

extends org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection

NON-API IConnection implementation for `java.sql.Connection` objects. This object is responsible for openening and closing JDBC connections. The property keys specified in `org.eclipse.datatools.connectivity.db.generic.IDBConnectionProfileConstants` are used to create the connection. Version information is provided by using `java.sql.DatabaseMetaData`.

Constructor Summary
`JDBCConnection(IConnectionProfile profile, java.lang.Class factoryClass)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCConnection

    public JDBCConnection(IConnectionProfile profile,
                          java.lang.Class factoryClass)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.